<?xml version="1.0" encoding="UTF-8"?>
<!--#======================================================================= -->
<!--# Copyright (c) 2011, 2016 - Loetz GmbH&Co.KG (69115 Heidelberg, Germany). -->
<!--# All rights reserved. This program and the accompanying materials -->
<!--# are made available under the terms of the Eclipse Public License 2.0  -->
<!--# which accompanies this distribution, and is available at -->
<!--# https://www.eclipse.org/legal/epl-2.0/    -->
<!--#                                           -->
<!--# SPDX-License-Identifier: EPL-2.0          -->
<!--# -->
<!--# Contributors: -->
<!--# Christophe Loetz (Loetz GmbH&Co.KG) - initial API and implementation -->
<!--#======================================================================= -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.eclipse.osbp.dependencies</groupId>
		<artifactId>org.eclipse.osbp.dependencies</artifactId>
		<version>0.9.0-SNAPSHOT</version>
	</parent>

	<artifactId>org.eclipse.osbp.dependencies.feature.mondrian</artifactId>
	<packaging>eclipse-feature</packaging>
	<version>3.5.0-SNAPSHOT</version>

	<build>
		<plugins>
			<plugin>
				<!-- workaround while bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=398250 
					is not fixed -->
				<groupId>org.eclipse.tycho</groupId>
				<artifactId>tycho-p2-plugin</artifactId>
				<version>${tycho-version}</version>
				<executions>
					<execution>
						<id>attached-p2-metadata</id>
						<phase>package</phase>
						<goals>
							<goal>p2-metadata</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
	<dependencies>
		<!-- CQ: https://dev.eclipse.org/ipzilla/show_bug.cgi?id=15339 -->
		<!-- artifact: com.jcraft.jsch -->
		<!-- version: 0.1.54.v20170116-1932 -->
		
		<!-- The JCR API -->
		<!-- CQ: https://dev.eclipse.org/ipzilla/show_bug.cgi?id=12598 -->
		<dependency>
			<groupId>javax.jcr</groupId>
			<artifactId>jcr</artifactId>
			<version>2.0</version>
		</dependency>

		<dependency>
			<groupId>org.eclipse.osbp.dependencies</groupId>
			<artifactId>org.eclipse.osbp.dependencies.bundle.mondrian.osgi</artifactId>
			<version>3.5.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.osbp.dependencies</groupId>
			<artifactId>org.eclipse.osbp.dependencies.bundle.olap4j.osgi</artifactId>
			<version>1.2.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.osbp.dependencies</groupId>
			<artifactId>org.eclipse.osbp.dependencies.bundle.olap4j-xmla.osgi</artifactId>
			<version>1.2.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.osbp.dependencies</groupId>
			<artifactId>org.eclipse.osbp.dependencies.bundle.commons.vfs.osgi</artifactId>
			<version>1.0.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.osbp.dependencies</groupId>
			<artifactId>org.eclipse.osbp.dependencies.bundle.jackrabbit.jcr.commons.osgi</artifactId>
			<version>2.1.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.osbp.dependencies</groupId>
			<artifactId>org.eclipse.osbp.dependencies.bundle.jackrabbit.webdav.osgi</artifactId>
			<version>2.3.3-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.osbp.dependencies</groupId>
			<artifactId>org.eclipse.osbp.dependencies.bundle.javax.jcr</artifactId>
			<version>2.0-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.osbp.dependencies</groupId>
			<artifactId>org.eclipse.osbp.dependencies.bundle.java-cup.osgi</artifactId>
			<version>0.11a-SNAPSHOT</version>
		</dependency>
		<!-- CQ: https://dev.eclipse.org/ipzilla/show_bug.cgi?id=12691 -->
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-vfs2</artifactId>
			<version>2.0</version>
		</dependency>
	</dependencies>

</project>
